---
title: "Step 4: Call the resume endpoint"
description: After completing the actions specified by the sign-on policy, in this case submitting a username and password, the authentication flow completes and the user is redirected to the URL specified in the resumeUrl property in the flow resource.
component: pingone-api
page_id: pingone-api:workflow-library:platform-sso-and-authorization/openid-connect-oidc/pkce-authorization-code-flow/test-the-workflow/step-5-call-the-resume-endpoint
canonical_url: https://developer.pingidentity.com/pingone-api/workflow-library/platform-sso-and-authorization/openid-connect-oidc/pkce-authorization-code-flow/test-the-workflow/step-5-call-the-resume-endpoint.html
section_ids:
  example-request: Example Request
  example-response: Example Response
---

# Step 4: Call the resume endpoint

##

```none
GET {{authPath}}/{{envID}}/as/resume?flowId={{flowID}}
```

After completing the actions specified by the sign-on policy, in this case submitting a username and password, the authentication flow completes and the user is redirected to the URL specified in the `resumeUrl` property in the flow resource.

You can use the `GET /{{envID}}/as/resume?flowId={{flowID}}` endpoint to obtain the code required to exchange for an access token.

##

### Example Request

* cURL

* C#

* Go

* HTTP

* Java

* jQuery

* NodeJS

* Python

* PHP

* Ruby

* Swift

```shell
curl --location --globoff '{{authPath}}/{{envID}}/as/resume?flowId={{flowID}}'
```

```csharp
var options = new RestClientOptions("{{authPath}}/{{envID}}/as/resume?flowId={{flowID}}")
{
  MaxTimeout = -1,
};
var client = new RestClient(options);
var request = new RestRequest("", Method.Get);
RestResponse response = await client.ExecuteAsync(request);
Console.WriteLine(response.Content);
```

```golang
package main

import (
  "fmt"
  "net/http"
  "io"
)

func main() {

  url := "{{authPath}}/{{envID}}/as/resume?flowId={{flowID}}"
  method := "GET"

  client := &http.Client {
  }
  req, err := http.NewRequest(method, url, nil)

  if err != nil {
    fmt.Println(err)
    return
  }
  res, err := client.Do(req)
  if err != nil {
    fmt.Println(err)
    return
  }
  defer res.Body.Close()

  body, err := io.ReadAll(res.Body)
  if err != nil {
    fmt.Println(err)
    return
  }
  fmt.Println(string(body))
}
```

```http
GET /{{envID}}/as/resume?flowId={{flowID}} HTTP/1.1
Host: {{authPath}}
```

```java
OkHttpClient client = new OkHttpClient().newBuilder()
  .build();
MediaType mediaType = MediaType.parse("text/plain");
RequestBody body = RequestBody.create(mediaType, "");
Request request = new Request.Builder()
  .url("{{authPath}}/{{envID}}/as/resume?flowId={{flowID}}")
  .method("GET", body)
  .build();
Response response = client.newCall(request).execute();
```

```javascript
var settings = {
  "url": "{{authPath}}/{{envID}}/as/resume?flowId={{flowID}}",
  "method": "GET",
  "timeout": 0,
};

$.ajax(settings).done(function (response) {
  console.log(response);
});
```

```javascript
var request = require('request');
var options = {
  'method': 'GET',
  'url': '{{authPath}}/{{envID}}/as/resume?flowId={{flowID}}',
  'headers': {
  }
};
request(options, function (error, response) {
  if (error) throw new Error(error);
  console.log(response.body);
});
```

```python
import requests

url = "{{authPath}}/{{envID}}/as/resume?flowId={{flowID}}"

payload = {}
headers = {

}

response = requests.request("GET", url, headers=headers, data=payload)

print(response.text)
```

```php
<?php
require_once 'HTTP/Request2.php';
$request = new HTTP_Request2();
$request->setUrl('{{authPath}}/{{envID}}/as/resume?flowId={{flowID}}');
$request->setMethod(HTTP_Request2::METHOD_GET);
$request->setConfig(array(
  'follow_redirects' => TRUE
));
$request->setHeader(array(

));
try {
  $response = $request->send();
  if ($response->getStatus() == 200) {
    echo $response->getBody();
  }
  else {
    echo 'Unexpected HTTP status: ' . $response->getStatus() . ' ' .
    $response->getReasonPhrase();
  }
}
catch(HTTP_Request2_Exception $e) {
  echo 'Error: ' . $e->getMessage();
}
```

```ruby
require "uri"
require "net/http"

url = URI("{{authPath}}/{{envID}}/as/resume?flowId={{flowID}}")

http = Net::HTTP.new(url.host, url.port);
request = Net::HTTP::Get.new(url)

response = http.request(request)
puts response.read_body
```

```swift
var request = URLRequest(url: URL(string: "{{authPath}}/{{envID}}/as/resume?flowId={{flowID}}")!,timeoutInterval: Double.infinity)
request.httpMethod = "GET"

let task = URLSession.shared.dataTask(with: request) { data, response, error in
  guard let data = data else {
    print(String(describing: error))
    return
  }
  print(String(data: data, encoding: .utf8)!)
}

task.resume()
```

### Example Response

200 OK

```json
{
    "_links": {
        "self": {
            "href": "http://auth.pingone.com/abfba8f6-49eb-49f5-a5d9-80ad5c98f9f6/flows/03ae87ab-173f-459f-8225-965d338735b8"
        },
        "signOnPage": {
            "href": "https://apps.pingone.com/abfba8f6-49eb-49f5-a5d9-80ad5c98f9f6/signon/?flowId=03ae87ab-173f-459f-8225-965d338735b8"
        }
    },
    "_embedded": {
        "user": {
            "id": "386e547a-45b6-410f-b61f-e4f4dc177fac",
            "username": "sharedTestUser"
        },
        "application": {
            "name": "UseCasePKCEApp"
        }
    },
    "id": "03ae87ab-173f-459f-8225-965d338735b8",
    "environment": {
        "id": "abfba8f6-49eb-49f5-a5d9-80ad5c98f9f6"
    },
    "session": {
        "id": "2f7ff93b-8d4e-40bd-9e66-74d65c89896b"
    },
    "resumeUrl": "https://auth.pingone.com/abfba8f6-49eb-49f5-a5d9-80ad5c98f9f6/as/resume?flowId=03ae87ab-173f-459f-8225-965d338735b8",
    "status": "COMPLETED",
    "createdAt": "2026-04-20T21:37:24.737Z",
    "expiresAt": "2026-04-20T21:52:52.828Z",
    "authorizeResponse": {
        "code": "03868489-68d4-4fdc-baf9-6e0b5371c7bd"
    }
}
```
